# Class FileChooserTableLoadDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.table.gui.FileChooserTableLoadDialog

All Implemented Interfaces:
  `TableLoadDialog`

public class FileChooserTableLoadDialog extends AbstractTableLoadDialog
Table load dialogue based on a FileChooser.

Since:
  13 Sept 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`FileChooserTableLoadDialog()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Component`
`createQueryComponent()`
Constructs the query component used by this dialogue.
`TableLoader`
`createTableLoader()`
Returns a new object which specifies how table loading is to be performed.
`boolean`
`isAvailable()`
The default implementation returns true.

### Methods inherited from class AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isComponentShowing, isReady, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileChooserTableLoadDialog

public FileChooserTableLoadDialog()
Constructor.

## Method Details

### createQueryComponent

protected Component createQueryComponent()
Description copied from class: `AbstractTableLoadDialog`
Constructs the query component used by this dialogue. Called only once (lazily).

Specified by:
  `createQueryComponent` in class `AbstractTableLoadDialog`
Returns:
  query component

### createTableLoader

public TableLoader createTableLoader()
Description copied from interface: `TableLoadDialog`
Returns a new object which specifies how table loading is to be performed. The actions performed by the returned object will presumably be determined by the state at call time of this dialogues GUI component.

If the dialogue is not in a suitable state, either return null, or, if you want to provide more detailed information about what's wrong, throw a RuntimeException with an informative message.

Returns:
  new table loader object

### isAvailable

public boolean isAvailable()
Description copied from class: `AbstractTableLoadDialog`
The default implementation returns true.

Specified by:
  `isAvailable` in interface `TableLoadDialog`
Overrides:
  `isAvailable` in class `AbstractTableLoadDialog`
Returns:
  true iff this dialogue may be able to do something useful